#!/bin/sh
#
# Component: imadmin
#
# Description:
#    Proliferates user data in the dotcom hierarchy
#
#  THIS IS USED FOR PROLIFERATING FILES ONLY!
#  SO THERE'S NOT MUCH SENSE CALLING IT WITHOUT -D
#
# Usage:
#   proliferateuser.sh [-d] -u <userid>
#
#     -d              : also proliferate saved lists, canned report templates, profile, ...
#     -u <userid>     : ID of the user to be proliferated
#     -D <direction>  : Where to proliferate
#                       'backup'     - proliferate only to the Backup device
#                       'all'        - proliferate only within the dotcom
#                       'all-backup' - proliferate within the dotcom and to Backup device (default)
#

. $HOME/etc/setenv.sh

USERID=""
PROLIFERATE_DATA="false"
DIRECTION="all-backup"


while getopts 'u:dD' OPT; do
	case $OPT in
	u) USERID="$OPTARG" ;;
	d) PROLIFERATE_DATA="true" ;;
	D) DIRECTION="$OPTARG" ;;
	*) usage_ "Invalid_Parameter:$OPT" ;;
	esac   
done

[ -z "$USERID" ] && exit 1

# Most of the configuration settings have been moved to database
# Only does anything when proliferating the entire user directory (for new users or after a re-import)

if [ "true" = "$PROLIFERATE_DATA" ] ; then
	${DOTCOM_HOME}/proliferateResource.sh -R "REPOSITORY_USERS" -N "${USERID}" -d "${DIRECTION}"
fi

exit 0
